<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";

$text = file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$privat=trim($udata[10]);}

echo '<img src="../images/img/partners.gif" alt=""> <b><font color="#FFFF00">Библиотека</font></b><br><br>';

if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if($udata[10]>0){
echo'<img src="../images/img/mail.gif" alt=""> <b><a href="../pages/privat.php?'.SID.'"><font color="red">Приватное сообщение! ('.$privat.')</font></a></b><br>';}}

echo '<img src="../images/img/new_dir.gif" alt=""> <a href="new.php?'.SID.'">Новые статьи!</a><br>';
echo '<img src="../images/img/top20_dir.gif" alt=""> <a href="top.php?'.SID.'">Самые читаемые</a><br>';

$dir = opendir ("."); 
while ($file = readdir ($dir)) 
{
if(!eregi("[^a-z0-9_-]",$file)) 
{$a[]=$file;}}  
closedir ($dir); 
sort($a);

$total = count($a);  
for ($i = 0; $i < $total; $i++){ 
	
$d=opendir($a[$i]); $n = "0"; while(($k=readdir($d))!==false){ if (ereg(".txt$", $k)){$n++;}} closedir($d); 


$lib_name=file_get_contents("$a[$i]/name.dat");

echo '<img src="../images/img/dir.gif" alt=""> <a href="lib.php?did='.$a[$i].'&amp;'.SID.'">'.$lib_name.'</a> ('.$n.')<br>';
}

echo '<br>Всего категорий: '.$total.'<br>';
echo '<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>';
include_once"../themes/$config_themes/foot.php";
?>

